# -*- coding:euc-jp-unix -*-
#
# Copyright (c) Turbolinux, Inc.
# This file and all modifications and/or additions are under 
# the same license as package itself.

%define _name opfc-libBidiPlugin
%define _ver  1.0.0
%define _rel  1

Summary: OpenPrinting Japan - Bidi plguin library
Summary(ja_JP.eucJP): Bidiץ饰饤֥
Name: %{_name}
Version: %{_ver}
Release: %{_rel}
License: See COPYING file
Group: Applications/System
SOURCE: opfc-libBidiPlugin-1.0.0.tar.gz
Buildroot: %{_tmppath}/%{name}-root

%description
A library for bi-directional communication between
your software and printer hardware,reusable code
for plugin writers and vendor directories with plugins.
This packge is the part of OpenPrinting Japan API
reference implementation project.

%description -l ja_JP.eucJP
Υѥåˤϥץ饰бBidi API饤֥꤬ޤޤƤޤ
Υ饤֥ȳƥץ󥿤Υץ饰⥸塼Ѥǥץ󥿤饹ơǤޤ

%package devel
Group: Development/Libraries
Summary: Development files for the %{name}
Summary(ja_JP.eucJP): Bidiץ饰饤֥(ȯѥѥå)
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
Development librarie and header files for the %{name}

%description devel -l ja_JP.eucJP
Υѥåˤopfc-libBidiPluginѤƥץ饰ȯ뤿γȯѥ饤֥꤬ޤޤƤޤ
 
%prep
%setup -q -n opfc-libBidiPlugin-1.0.0

%build
CFLAGS="$RPM_OPT_FLAGS" \
%configure
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog
%{_libdir}/libbidiplugin.so.*

%files devel
%defattr(-,root,root)
%doc doc/Bi-diPlug-in_CallerAPI.pdf
%{_includedir}/opfc/
%{_libdir}/libbidiplugin.la
%{_libdir}/libbidiplugin.a
%{_libdir}/libbidiplugin.so
%{_libdir}/pkgconfig/libBidiPlugin.pc
%{_datadir}/aclocal/libBidiPlugin.m4

%changelog
* Wed Mar 31 2004 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- repackage for Turbolinux

